org.eclipse.rdf4j.sail.lucene

## Class AbstractLuceneSailTest

- java.lang.Object
- - org.eclipse.rdf4j.sail.lucene.AbstractLuceneSailTest

-     public abstract class AbstractLuceneSailTest
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IRI` | `CONTEXT_1`
    `static IRI` | `CONTEXT_2`
    `static IRI` | `CONTEXT_3`
    `static IRI` | `PREDICATE_1`
    `static IRI` | `PREDICATE_2`
    `static IRI` | `PREDICATE_3`
    `static String` | `QUERY_STRING`
    `protected Repository` | `repository`
    `protected LuceneSail` | `sail`
    `static IRI` | `SUBJECT_1`
    `static IRI` | `SUBJECT_2`
    `static IRI` | `SUBJECT_3`
    `static IRI` | `SUBJECT_4`
    `static IRI` | `SUBJECT_5`
    `org.junit.rules.Timeout` | `timeout`
    `protected static ValueFactory` | `vf`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractLuceneSailTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `assertNoQueryResult(String literal)`
    `protected void` | `assertQueryResult(String literal, IRI predicate, Resource resultUri)`
    `protected abstract void` | `configure(LuceneSail sail)`
    `void` | `setUp()`
    `void` | `tearDown()`
    `void` | `testComplexQueryOne()`
    `void` | `testComplexQueryTwo()`
    `void` | `testConcurrentReadingAndWriting()`
    `void` | `testContextHandling()`
    `void` | `testFuzzyQuery()`
    `void` | `testGraphQuery()`
    `void` | `testMultipleLuceneQueries()`
    `void` | `testMultithreadedAdd()`
    `void` | `testNullContextHandling()` we experienced problems with the NULL context and lucenesail in August 2008
    `void` | `testPredicateLuceneQueries()`
    `void` | `testPropertyVar()`
    `void` | `testQueryWithSpecifiedSubject()`
    `void` | `testRegularQuery()`
    `void` | `testReindexing()`
    `void` | `testSnippetLimitedToPredicate()` Test if the snippets do not accidentially come from the "text" field while we actually expect them to come from the predicate field.
    `void` | `testSnippetQueries()`
    `void` | `testTriplesStored()`
    `void` | `testUnionQuery()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### timeout

          public org.junit.rules.Timeout timeout

    - #### vf

          protected static final ValueFactory vf

    - #### QUERY_STRING

          public static final String QUERY_STRING

    - #### SUBJECT_1

          public static final IRI SUBJECT_1

    - #### SUBJECT_2

          public static final IRI SUBJECT_2

    - #### SUBJECT_3

          public static final IRI SUBJECT_3

    - #### SUBJECT_4

          public static final IRI SUBJECT_4

    - #### SUBJECT_5

          public static final IRI SUBJECT_5

    - #### CONTEXT_1

          public static final IRI CONTEXT_1

    - #### CONTEXT_2

          public static final IRI CONTEXT_2

    - #### CONTEXT_3

          public static final IRI CONTEXT_3

    - #### PREDICATE_1

          public static final IRI PREDICATE_1

    - #### PREDICATE_2

          public static final IRI PREDICATE_2

    - #### PREDICATE_3

          public static final IRI PREDICATE_3

    - #### sail

          protected LuceneSail sail

    - #### repository

          protected Repository repository

  - ### Constructor Detail

    - #### AbstractLuceneSailTest

          public AbstractLuceneSailTest()

  - ### Method Detail

    - #### configure

          protected abstract void configure(LuceneSail sail)
                                     throws IOException

      Throws:
        `IOException`

    - #### setUp

          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### tearDown

          public void tearDown()
                        throws IOException,
                               RepositoryException

      Throws:
        `IOException`
        `RepositoryException`

    - #### testTriplesStored

          public void testTriplesStored()
                                 throws Exception

      Throws:
        `Exception`

    - #### testRegularQuery

          public void testRegularQuery()
                                throws RepositoryException,
                                       MalformedQueryException,
                                       QueryEvaluationException

      Throws:
        `RepositoryException`
        `MalformedQueryException`
        `QueryEvaluationException`

    - #### testComplexQueryOne

          public void testComplexQueryOne()
                                   throws MalformedQueryException,
                                          RepositoryException,
                                          QueryEvaluationException

      Throws:
        `MalformedQueryException`
        `RepositoryException`
        `QueryEvaluationException`

    - #### testComplexQueryTwo

          public void testComplexQueryTwo()
                                   throws MalformedQueryException,
                                          RepositoryException,
                                          QueryEvaluationException

      Throws:
        `MalformedQueryException`
        `RepositoryException`
        `QueryEvaluationException`

    - #### testMultipleLuceneQueries

          public void testMultipleLuceneQueries()
                                         throws MalformedQueryException,
                                                RepositoryException,
                                                QueryEvaluationException

      Throws:
        `MalformedQueryException`
        `RepositoryException`
        `QueryEvaluationException`

    - #### testPredicateLuceneQueries

          public void testPredicateLuceneQueries()
                                          throws MalformedQueryException,
                                                 RepositoryException,
                                                 QueryEvaluationException

      Throws:
        `MalformedQueryException`
        `RepositoryException`
        `QueryEvaluationException`

    - #### testSnippetQueries

          public void testSnippetQueries()
                                  throws MalformedQueryException,
                                         RepositoryException,
                                         QueryEvaluationException

      Throws:
        `MalformedQueryException`
        `RepositoryException`
        `QueryEvaluationException`

    - #### testSnippetLimitedToPredicate

          public void testSnippetLimitedToPredicate()
                                             throws MalformedQueryException,
                                                    RepositoryException,
                                                    QueryEvaluationException

      Test if the snippets do not accidentially come from the "text" field while we actually expect them to come from the predicate field.
      Throws:
        `MalformedQueryException`
        `RepositoryException`
        `QueryEvaluationException`

    - #### testGraphQuery

          public void testGraphQuery()
                              throws QueryEvaluationException,
                                     MalformedQueryException,
                                     RepositoryException

      Throws:
        `QueryEvaluationException`
        `MalformedQueryException`
        `RepositoryException`

    - #### testQueryWithSpecifiedSubject

          public void testQueryWithSpecifiedSubject()
                                             throws RepositoryException,
                                                    MalformedQueryException,
                                                    QueryEvaluationException

      Throws:
        `RepositoryException`
        `MalformedQueryException`
        `QueryEvaluationException`

    - #### testUnionQuery

          public void testUnionQuery()
                              throws RepositoryException,
                                     MalformedQueryException,
                                     QueryEvaluationException

      Throws:
        `RepositoryException`
        `MalformedQueryException`
        `QueryEvaluationException`

    - #### testContextHandling

          public void testContextHandling()
                                   throws Exception

      Throws:
        `Exception`

    - #### testConcurrentReadingAndWriting

          public void testConcurrentReadingAndWriting()
                                               throws Exception

      Throws:
        `Exception`

    - #### testNullContextHandling

          public void testNullContextHandling()
                                       throws Exception

      we experienced problems with the NULL context and lucenesail in August 2008
      Throws:
        `Exception`

    - #### testFuzzyQuery

          public void testFuzzyQuery()
                              throws MalformedQueryException,
                                     RepositoryException,
                                     QueryEvaluationException

      Throws:
        `MalformedQueryException`
        `RepositoryException`
        `QueryEvaluationException`

    - #### testReindexing

          public void testReindexing()
                              throws Exception

      Throws:
        `Exception`

    - #### testPropertyVar

          public void testPropertyVar()
                               throws MalformedQueryException,
                                      RepositoryException,
                                      QueryEvaluationException

      Throws:
        `MalformedQueryException`
        `RepositoryException`
        `QueryEvaluationException`

    - #### testMultithreadedAdd

          public void testMultithreadedAdd()
                                    throws InterruptedException

      Throws:
        `InterruptedException`

    - #### assertQueryResult

          protected void assertQueryResult(String literal,
                                           IRI predicate,
                                           Resource resultUri)
                                    throws Exception

      Throws:
        `Exception`

    - #### assertNoQueryResult

          protected void assertNoQueryResult(String literal)
                                      throws Exception

      Throws:
        `Exception`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.